如何安装指定版本的ios-deploy

ios-deploy是一个不通过Xcode直接将app安装到手机上的工具

当然, 用Homebrew安装这个工具是很方便的

那么我们就要先安装Homebrew, 网上很多方法已经过时了, 而且由于墙的原因, 很多时候是安装不成功的.

下面提供一种镜像方法:
在终端里输入:
/bin/zsh -c "$(curl -fsSL https://gitee.com/cunkai/HomebrewCN/raw/master/Homebrew.sh)"

image.png

这里我选的是1. 中科大下载源

image.png

此脚本会把以前的brew删除

安装好了Homebrew后, 就要安装ios-deploy
直接在终端中输入
brew install ios-deploy

这时候ios-deploy就安装好了, 但是输入:
ios-deploy --version发现版本是最新的1.11.4版本, 但是我要安装1.11.2-beta.1版本怎么办呢?

网上查了一些方法:
安装方法
但是, 不管是brew switch ios-deploy 1.11.2-beta.1 还是 brew install ios-deploy@1.11.2-beta.1 好像都不行

于是就想到一个很low的方法:
先进到github, 找到ios-deploy

点击tags

image.png

找到1.11.2-beta.1

image.png

下载源码


image.png

XCode上运行源码
找到这个ios-deploy可执行文件

image.png

然后在已经安装的原ios-deploy找到, 在这个路径下/usr/local/Cellar/ios-deploy

image.png

然后用刚刚用XCode运行产生的新的ios-deploy可执行文件替换这个, 就可以了, 执行ios-deploy --version

image.png

推荐阅读更多精彩内容